Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class BatchInformation2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.BatchInformation2

public class BatchInformation2 extends Object

Java class for BatchInformation2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BatchInformation2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text" minOccurs="0"/>
             <element name="PmtInfId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text" minOccurs="0"/>
             <element name="NbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max15NumericText" minOccurs="0"/>
             <element name="TtlAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CreditDebitCode" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CreditDebitCode`
`cdtDbtInd`
`protected String`
`msgId`
`protected String`
`nbOfTxs`
`protected String`
`pmtInfId`
`protected ActiveOrHistoricCurrencyAndAmount`
`ttlAmt`

## Constructor Summary

Constructors
Constructor
Description
`BatchInformation2()`

## Method Summary

Modifier and Type
Method
Description
`CreditDebitCode`
`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`String`
`getMsgId()`
Gets the value of the msgId property.
`String`
`getNbOfTxs()`
Gets the value of the nbOfTxs property.
`String`
`getPmtInfId()`
Gets the value of the pmtInfId property.
`ActiveOrHistoricCurrencyAndAmount`
`getTtlAmt()`
Gets the value of the ttlAmt property.
`void`
`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
`setMsgId(String value)`
Sets the value of the msgId property.
`void`
`setNbOfTxs(String value)`
Sets the value of the nbOfTxs property.
`void`
`setPmtInfId(String value)`
Sets the value of the pmtInfId property.
`void`
`setTtlAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the ttlAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgId

protected String msgId

### pmtInfId

protected String pmtInfId

### nbOfTxs

protected String nbOfTxs

### ttlAmt

protected ActiveOrHistoricCurrencyAndAmount ttlAmt

### cdtDbtInd

protected CreditDebitCode cdtDbtInd

## Constructor Details

### BatchInformation2

public BatchInformation2()

## Method Details

### getMsgId

public String getMsgId()
Gets the value of the msgId property.

Returns:
  possible object is `String`

### setMsgId

public void setMsgId(String value)
Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

### getPmtInfId

public String getPmtInfId()
Gets the value of the pmtInfId property.

Returns:
  possible object is `String`

### setPmtInfId

public void setPmtInfId(String value)
Sets the value of the pmtInfId property.

Parameters:
  `value` - allowed object is `String`

### getNbOfTxs

public String getNbOfTxs()
Gets the value of the nbOfTxs property.

Returns:
  possible object is `String`

### setNbOfTxs

public void setNbOfTxs(String value)
Sets the value of the nbOfTxs property.

Parameters:
  `value` - allowed object is `String`

### getTtlAmt

public ActiveOrHistoricCurrencyAndAmount getTtlAmt()
Gets the value of the ttlAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setTtlAmt

public void setTtlAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the ttlAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getCdtDbtInd

public CreditDebitCode getCdtDbtInd()
Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

### setCdtDbtInd

public void setCdtDbtInd(CreditDebitCode value)
Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`